## @xapp/chat-widget

A chat widget used by XAPP AI's OC Studio as a built-in channel.

## Install

```console
npm i @xapp/chat-widget redux-thunk redux react-redux --production
```

## Usage

```tsx
import { ChatWidget } from "@xapp/chat-widget";
import "@xapp/chat-widget/dist/index.css";

function RenderWidget() {
    return <ChatWidget accountKey={"123"} />;
}
```

## Styling

Use `theme` prop to style widget

```ts
const theme: WidgetTheme = {};
return <ChatWidget accountKey={"123"} theme={theme} />;
```
